# count-dom-html

Count total of Dom node in html file with based on regexps

## installation

    npm install count-dom-html

## usage

	var fs = require("fs");
	var data = require("count-dom-html");
	fs.readFile('index.html', 'utf8', function(err, html){
	  if (err) throw err;
	  var body_content = data.findContentByFirstNode(html, 'body');
	  if(body_content.total > 0){
	  		var img = data.findByElement(html,'img',false, false);
		  console.log(img); // => '{ content: '<img src="smiley.gif" alt="Image 1" width="42" height="42" />,<img src="smiley.gif"  width="42" height="42">', total: 2 }'

		  var img2 = data.findByElement(html,'img','alt', 'Image 1');
		  console.log(img2); // => '{ content: '<img src="smiley.gif" alt="Image 1" width="42" height="42" />', total: 1 }'

		  var text = data.findByText(html,'hello');
		  console.log(text); // => '{ content: 'text', total: 1 }'

		  var text = data.findByNode(html,'strong');  
		  console.log(text); // => '{ content: '<strong>text 1</strong>,<strong>text 2</strong>,<strong>text 3</strong>', total: 3 }'	
	  }  
	 })

## Note

	All methods

	* findByElement(html, element, att_name, att_value):

		user can find tags in html like as img tag, a tag, meta tag... This methods have 4 params.
		- Html is text
		- element: This is tags. Ex: "a" tag, "img" tag, "meta" tag..
		- att_name: attribute name of element: alt, rel, name...
		- att_value: attribute value of element.

	* findByText : user can find data by text. ex: 'nodejs'
	* findByNode : user can find data with node. ex: 'h1','strong','script',...
	* findContentByFirstNode: user check content from head or body exist or not.  
