function hash(data) {
	var result = {};
	if(data != null){
		result = {
			content: data.toString(),
			total: data.length
		};
	}else{
		result = {
			total: 0
		};
	}
	return result;
}

function countDataByElement(html, element, att_name, att_value){
	var str = element;
	if (att_name !=false)
		str = str + '.*' + att_name.trim();
	if (att_value !=false)
		str = str + '.*' + att_value.trim();
	var regex = new RegExp('<'+ str +'[^>]+>', 'g');
	var data = html.match(regex);
	return hash(data);
}

function countDataByText(html, text){
	var regex = new RegExp(text, 'g');
    var data = html.match(regex);
    return hash(data);
}

function countDataByNode(html, node){
	var regex = new RegExp('<'+node+'>(.*?)<\/'+node+'>','g')
    var data = html.match(regex);
    return hash(data);
}

function countContentByFirstNode(html, node){
	var regex = new RegExp('<'+node+'>([^]*)<\/'+node+'>','g')
    var data = html.match(regex);
    return hash(data);
}

module.exports.findByElement = function(html,element,att_name, att_value){
    var result = countDataByElement(html,element,att_name, att_value);
   	return result;
},
module.exports.findByText = function(html,text){
    var result = countDataByText(html,text);
   	return result;
},
module.exports.findByNode = function(html,node){
    var result = countDataByNode(html,node);
   	return result;
},
module.exports.findContentByFirstNode = function(html,node){
    var result = countContentByFirstNode(html,node);
   	return result;
}
